# value_store_type< T > Class Template Reference

`#include <_value.h>`

List of all members.

## Public Types

typedef T | value_type

## Detailed Description

### template<typename T>
class value_store_type< T >

Note:
  This class may be specialized to support binary compatibility for desired objects (e.g. point3,vector3,float[3]). However it MUST be declared within scope that you are using the values....

Warning:
  If you specialize this class for something that isn't binary compatible, then your values could easily report belonging to the wrong types.

Definition at line 51 of file _value.h.

## Member Typedef Documentation

template<typename T>

typedef T value_store_type< T >::value_type

Definition at line 54 of file _value.h.

The documentation for this class was generated from the following file:

- _value.h